Package com.treemap.swing.treeplot

# Class SwingTreePlotView<N,Row,Column>

java.lang.Object
com.treemap.treeplot.AbstractTreePlotView<JComponent,N,Row,Column,Color,Font>
com.treemap.swing.treeplot.SwingTreePlotView<N,Row,Column>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `TreePlotView<JComponent,N,Row,Column,Color,Font>`

public class SwingTreePlotView<N,Row,Column> extends AbstractTreePlotView<JComponent,N,Row,Column,Color,Font>
Main class for the view part of TreePlot.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `final class`
  `SwingTreePlotView.NativeComponent`

  ## Nested classes/interfaces inherited from interface com.treemap.treeplot.TreePlotView

  `TreePlotView.BoundingMode`

- ## Field Summary

  ### Fields inherited from class com.treemap.treeplot.AbstractTreePlotView

  `model, probingToolTip, screenTransform, selectionToolTip, shapes, xGuide, xRangeModel, yGuide, yRangeModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTreePlotView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)`
  `void`
  `addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)`
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)`
  `int`
  `getHeight()`
  `JComponent`
  `getNativeComponent()`
  `Paint`
  `getPaint(N node, com.macrofocus.geom.Shape shape, com.macrofocus.geom.Rectangle bounds, boolean allowGradientPaint)`
  `RenderingHints`
  `getRenderingHints()`
  `Dimension`
  `getSize()`
  `int`
  `getWidth()`
  `protected void`
  `repaint(long delay)`
  `protected void`
  `setBackground(com.macrofocus.igraphics.CPColor<Color> background)`
  `void`
  `setRenderingHints(RenderingHints renderingHints)`

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlotView

  `addProgressiveRenderer, addRenderer, drill, drillDown, drillUp, getBoundingMode, getHeadless, getLeafScreenShape, getModel, getNode, getNodes, getProgressiveRenderers, getRenderedShape, getRenderers, getRubberBand, getScreenBounds, getScreenShape, getSelectionToolTip, getToolTip, getToolTipPreferredLocation, getTooltipRenderer, getWorld, getXCoordinateAxis, getXGuide, getXRangeModel, getYCoordinateAxis, getYGuide, getYRangeModel, getZoomFactor, isDirty, isShowTiming, repaint, resetXAxis, resetYAxis, setDirty, setDirtyShapes, setModel, setSelectionToolTip, setShowTiming, setToolTip, zoom, zoomIn, zoomOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTreePlotView

    public SwingTreePlotView()

- ## Method Details

  - ### getPaint

    public Paint getPaint(N node, com.macrofocus.geom.Shape shape, com.macrofocus.geom.Rectangle bounds, boolean allowGradientPaint)
    Specified by:
      `getPaint` in interface `TreePlotView<JComponent,N,Row,Column,Color,Font>`
    Overrides:
      `getPaint` in class `AbstractTreePlotView<JComponent,N,Row,Column,Color,Font>`

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### getRenderingHints

    public RenderingHints getRenderingHints()

  - ### setRenderingHints

    public void setRenderingHints(RenderingHints renderingHints)

  - ### repaint

    protected void repaint(long delay)
    Specified by:
      `repaint` in class `AbstractTreePlotView<JComponent,N,Row,Column,Color,Font>`

  - ### setBackground

    protected void setBackground(com.macrofocus.igraphics.CPColor<Color> background)
    Specified by:
      `setBackground` in class `AbstractTreePlotView<JComponent,N,Row,Column,Color,Font>`

  - ### getSize

    public Dimension getSize()

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### addMouseWheelListener

    public void addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)

  - ### addKeyListener

    public void addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)

  - ### addContextMenuListener

    public void addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)